From 94ded4bbd852d9ca964e48530ab2af6a3b5a3d43 Mon Sep 17 00:00:00 2001
From: Richard Guo <guofenglinux@gmail.com>
Date: Mon, 6 Nov 2023 14:05:03 +0800
Subject: [PATCH v1] Silence old compiler about -Wmaybe-uninitialized

This patch fixes compiling warnings on GCC (Red Hat 4.8.5-44) 4.8.5 with
'CFLAGS=-Og' about -Wmaybe-uninitialized.
---
 src/backend/commands/trigger.c | 2 +-
 src/backend/libpq/be-fsstubs.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/commands/trigger.c b/src/backend/commands/trigger.c
index 52177759ab..e9f34370b3 100644
--- a/src/backend/commands/trigger.c
+++ b/src/backend/commands/trigger.c
@@ -2313,7 +2313,7 @@ ExecCallTriggerFunc(TriggerData *trigdata,
 {
 	LOCAL_FCINFO(fcinfo, 0);
 	PgStat_FunctionCallUsage fcusage;
-	Datum		result;
+	Datum		result = 0; /* silence old compiler */
 	MemoryContext oldContext;
 
 	/*
diff --git a/src/backend/libpq/be-fsstubs.c b/src/backend/libpq/be-fsstubs.c
index d189044a4f..a31192edeb 100644
--- a/src/backend/libpq/be-fsstubs.c
+++ b/src/backend/libpq/be-fsstubs.c
@@ -482,7 +482,7 @@ be_lo_export(PG_FUNCTION_ARGS)
 {
 	Oid			lobjId = PG_GETARG_OID(0);
 	text	   *filename = PG_GETARG_TEXT_PP(1);
-	int			fd;
+	int			fd = -1; /* silence old compiler */
 	int			nbytes,
 				tmp;
 	char		buf[BUFSIZE];
-- 
2.31.0

